// Plane.pov : preview scene for Persistence of Textures
// B.Thery - 24/02/2002
//
// - This scene renders the texture applied on a plane.
// - The checkers cells are 1 unit wide.
// - The texture replace the floor.
//
#include "btex.inc"
#include "walls.inc"
#include "sky.inc"


light_source {
	<-2,10,-10>, color rgb <1,1,1>
}

camera {
	location  <-2.5,2.75,-2.5>
    direction z
    up y
    right x*IMG_WIDTH/IMG_HEIGHT
	look_at <0,1,0>
}

plane {
	y, -0.01
	texture { POT_TEXTURE }
}

// A floor is added if you want to test transluscent textures 
// glasses or liquids.

#if (FLOOR)
plane {
	y, -3
	texture {
		pigment {
			checker color rgb <1,1,1>, color rgb <0,0,0>
		}
		finish {
			ambient 0.4
		}
	}
}
#end

